#
# spec file for package kreport
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kreport
Version:        3.0.1
Release:        1.3
Summary:        Framework for creation and generation of reports
License:        LGPL-2.0
Group:          Productivity/Office/Other
Url:            http://community.kde.org/KReport
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kproperty-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  marble-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  cmake(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A framework for creation and generation of reports in multiple formats

%package -n libKReport3-3
Summary:        The library for the Report Creation and generation Framework
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n libKReport3-3
The main library for the Report creation and generation framework

%package devel
Summary:        Development package for KReport
Group:          Development/Libraries/KDE
Requires:       kproperty-devel
Requires:       libKReport3-3 = %{version}

%description devel
Development package for the Report Creation and Generation framework

%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
  %kf5_makeinstall -C build

%post -n libKReport3-3 -p /sbin/ldconfig
%postun -n libKReport3-3 -p /sbin/ldconfig

%files -n libKReport3-3
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_libdir}/libKReport3.so.*

%files
%defattr(-,root,root,-)
%{_datadir}/kreport3/
%{_kf5_servicetypesdir}/kreport_elementplugin.desktop
%{_kf5_plugindir}/kreport3/

%files devel
%defattr(-,root,root,-)
%doc COPYING*
%{_includedir}/KReport3/
%{_libdir}/cmake/KReport3/
%{_libdir}/libKReport3.so
%{_libdir}/pkgconfig/KReport3.pc
%{_kf5_mkspecsdir}/qt_KReport3.pri

%changelog
* Tue Apr  4 2017 wbauer@tmo.at
- Update to 3.0.1:
  * General
  - Add 24x24 icons, useful on classic Windows
  - Try to locate rcc files in PATH subdirs too, useful for
    running apps from the build dir, without installing
  - Fix async rendering of map item (Review #3028)
  - Add all PROJECT_STABLE* and KREPORT_TESTING_EXPORT constants
  - Synchronize plugin versions with KReport version: 3.0
  - Check for plugin versions and duplicates in the plugin
    manager
  - Fix uninitialized variables in KReportItemMaps()
  - Fix uninitialized variables in KReportItemText(), OROCheck(),
    KReportPluginMetaData::Private()
  - Add checks for nullptrs in KReportItemWeb, KReportItemMaps,
    KReportItemChart
  - Add missing initializations in KReportSectionData
  - Add missing initializations in KReportItemBarcode
  - Add BoundedTextItem init, make the type qreal [0..1] for
    consistency with Qt
  - Keep apps in the same bin dir so resources that are kept
    relative to this dir can be found without installing
  * Buildsystem
  - macro kreport_add_icons_rcc_file: generate rcc icons in the
    builddir/bin/data/icons/ dir so it can be used within the
    builddir
  - Use ecm_install_po_files_as_qm macro for Qt Translation
    catalogs
  - Fix finding KReport config - use
    ecm_configure_package_config_file macro
- Drop unused KF5I18n BuildRequires
* Wed Jan 11 2017 jengelh@inai.de
- RPM group fix
* Sun Jan  8 2017 tittiatcoke@gmail.com
- Initial package based on version 3.0.0
